Name:			knetload
Summary:		Network traffic monitor
Version:		2.3
Release:                %mkrel 5
Epoch:			2

Source:			knetload-%{version}.tar.bz2

Group:			Monitoring
Url:                    http://kde.quakenet.eu.org/knetload.shtml
License:		GPL
BuildRoot:		%_tmppath/%name-%version-%release-root
BuildRequires:	        kdelibs-devel 

Obsoletes:		kde3-knetload
Provides:		kde3-knetload

%description
KDE application that monitors network traffic.

%prep

%setup -q -nknetload-%{version}

%build

CFLAGS="%optflags" CXXFLAGS="%optflags" \
           ./configure --prefix=%_prefix \
	               --disable-rpath \
		       --disable-debug \
		       --enable-final \
%if "%{_lib}" != "lib"
		       --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%make

%install
# Dadou - 1.91-5mdk - Don't use makeinstall macro. It seems work but break
#                     installation
make install DESTDIR=%buildroot

install -d 755 %buildroot/%_menudir/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-knetload.desktop
[Desktop Entry]
Type=Application
Exec=knetload
Icon=knetload
Comment=Network loadmeter for KPanel, works with most devices.
Name=KNETLoad
Categories=System;Monitor;
EOF

%find_lang %name

%clean
rm -fr %buildroot

%post
%if %mdkversion < 200900
%update_menus
%endif
%if %mdkversion < 200900
/sbin/ldconfig
%endif

%postun
%if %mdkversion < 200900
%clean_menus
%endif
%if %mdkversion < 200900
/sbin/ldconfig
%endif

%files -f %name.lang
%defattr(-,root,root,755)
%_bindir/*
#
#
%{_datadir}/applications/mandriva-*.desktop
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/knetload/
%dir %_datadir/apps/knetload/icons/
%_datadir/apps/knetload/icons/*
#
#
%_datadir/applications/kde/*
#
#
%_iconsdir/crystalsvg/16x16/apps/*
%_iconsdir/crystalsvg/32x32/apps/*
%_iconsdir/crystalsvg/48x48/apps/*

#%dir %_datadir/applnk/
#%dir %_datadir/applnk/System/
#%_datadir/applnk/System/*.desktop 
#
#
#%dir %_iconsdir/hicolor/
#%dir %_iconsdir/hicolor/16x16/
#%dir %_iconsdir/hicolor/16x16/apps/
#%_iconsdir/hicolor/16x16/apps/*
#
#%dir %_iconsdir/hicolor/32x32/
#%dir %_iconsdir/hicolor/32x32/apps/
#%_iconsdir/hicolor/32x32/apps/*
#
#%dir %_iconsdir/hicolor/48x48/
#%dir %_iconsdir/hicolor/48x48/apps/
#%_iconsdir/hicolor/48x48/apps/*
#
#
#%dir %_iconsdir/locolor/
#%dir %_iconsdir/locolor/16x16/
#%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*
#
#%dir %_iconsdir/locolor/32x32/
#%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/* 

#%dir %_docdir/HTML/en/knetload/
#%doc %_docdir/HTML/en/knetload/*.bz2
#%doc %_docdir/HTML/en/knetload/*.docbook
#%doc %_docdir/HTML/en/knetload/common

#%lang(fr) %_datadir/locale/fr/LC_MESSAGES/*.mo
#%lang(ru) %_datadir/locale/ru/LC_MESSAGES/*.mo




%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 2:2.3-5mdv2009.0
+ Revision: 247797
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 2:2.3-3mdv2008.1
+ Revision: 141876
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- import knetload

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 2.3-3mdk
- fix x86_64 build

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3-2mdk
- Remove redundant Buildrequires
- use mkrel

* Tue Aug 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- 2.3

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-2mdk
- Rebuild

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- 2.2.2

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.99-2mdk
- Rebuild

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.99-1mdk
- 1.9.9

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.4-5mdk
- Rebuild against gcc-3.2

* Sun Jul 28 2002 David Walser <luigiwalser@yahoo.com> 1.9.4-4mdk
- rebuild

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.4-3mdk
- rebuild

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.4-2mdk
- Rebuild against gcc3.1

* Fri Apr 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.4-1mdk
- Port to kde3.0

